﻿* Encoding: UTF-8.


GET DATA  /TYPE=TXT
  /FILE="/Users/tomdamen/Dropbox/Data Opslag/2018 Plos ONE The Case of the Stroop Task/2A/Raw Data and Syntax/2A.iqdat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  date F6.0
  time A8
  subject F3.0
  blocknum F1.0
  blockcode A12
  trialnum F2.0
  trialcode A19
  response F2.0
  latency F5.0
  error F1.0
  stimulus1 A111.
CACHE.
EXECUTE.
DATASET NAME DataSet1 WINDOW=FRONT.

FILTER OFF.
USE ALL.
SELECT IF (blockcode ~= 'oefen_stroop' AND response ~= 0).
EXECUTE.

SORT CASES BY subject(A) blockcode(A) trialcode(A).

DO IF (blockcode = 'stroop' AND error = 1).
RECODE latency (ELSE=SYSMIS).
END IF.
EXECUTE.


AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=subject
  /error_sum=SUM(error).

DO IF (blockcode = 'stroop').
RECODE latency (Lowest thru 400=400) (4000 thru Highest=4000).
END IF.
EXECUTE.



CASESTOVARS
  /ID=subject
  /GROUPBY=VARIABLE.


COMPUTE error=error_sum - 5.
EXECUTE.

COMPUTE con_LT=MEAN (latency.6 to latency.29).
COMPUTE incon_LT=MEAN (latency.30 to latency.53).
COMPUTE conlike=response.3.
COMPUTE inconlike=response.5.
EXECUTE.

COMPUTE stroop=incon_LT - con_LT.
EXECUTE.

COMPUTE likeverschil=conlike - inconlike.
EXECUTE.

COMPUTE LTsum=con_LT + incon_LT.
EXECUTE.


* Define Variable Properties.
*conlike.
VARIABLE LEVEL  conlike(SCALE).
*inconlike.
VARIABLE LEVEL  inconlike(SCALE).
EXECUTE.

GLM conlike inconlike
  /WSFACTOR=factor1 2 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1.

GLM con_LT incon_LT
  /WSFACTOR=factor1 2 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1.


CORRELATIONS
  /VARIABLES=con_LT incon_LT conlike inconlike
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.



DATASET ACTIVATE DataSet1.
CORRELATIONS
  /VARIABLES=stroop likeverschil
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.
