﻿* Encoding: UTF-8.


GET DATA  /TYPE=TXT
  /FILE="/Users/tomdamen/Dropbox/Data Opslag/2018 Plos ONE The Case of the Stroop Task/2B/Raw Data and Syntax/2B.iqdat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  date F6.0
  time A8
  subject F3.0
  blocknum F1.0
  blockcode A12
  trialnum F2.0
  trialcode A19
  response F2.0
  latency F5.0
  error F1.0
  stimulus1 A111.
CACHE.
EXECUTE.
DATASET NAME DataSet1 WINDOW=FRONT.

FILTER OFF.
USE ALL.
SELECT IF (blockcode ~= 'oefen_stroop' AND stimulus1 ~= '13b.jpg' AND stimulus1 ~= '14b.jpg' AND stimulus1 ~= '3b.jpg' AND stimulus1 ~= '7b.jpg').
EXECUTE.

SORT CASES BY subject(A) blockcode(A) trialcode(A).

DO IF (blockcode = 'stroop' AND error = 1).
RECODE latency (ELSE=SYSMIS).
END IF.
EXECUTE.


DO IF (blockcode = 'stroop').
RECODE latency (Lowest thru 400=400) (4000 thru Highest=4000).
END IF.
EXECUTE.


AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=subject
  /error_sum=SUM(error).


CASESTOVARS
  /ID=subject
  /GROUPBY=VARIABLE.

STRING  condition (A20).
COMPUTE condition=blockcode.1.
EXECUTE.

IF  (condition = 'questions_in') conlike=response.4.
EXECUTE.
IF  (condition = 'questions') conlike=response.3.
EXECUTE.

IF  (condition = 'questions_in') inconlike=response.5.
EXECUTE.
IF  (condition = 'questions') inconlike=response.5.
EXECUTE.


COMPUTE RTincon=Mean (latency.26 to latency.45).
COMPUTE RTcon=Mean (latency.6 to latency.25).
EXECUTE.


COMPUTE RTinconplithalf1=Mean (latency.26 to latency.35).
COMPUTE RTinconplithalf2=Mean (latency.36 to latency.45).
COMPUTE RTconsplithalf1=Mean (latency.6 to latency.15).
COMPUTE RTconsplithalf2=Mean (latency.16 to latency.25).
EXECUTE.

COMPUTE stroop=RTincon - RTcon.
EXECUTE.


COMPUTE likeverschil=conlike - inconlike.
EXECUTE.



DATASET ACTIVATE DataSet1.
BOOTSTRAP
  /SAMPLING METHOD=SIMPLE
  /VARIABLES INPUT=conlike inconlike RTincon RTcon RTinconplithalf1 RTinconplithalf2 
    RTconsplithalf1 RTconsplithalf2 
  /CRITERIA CILEVEL=95 CITYPE=PERCENTILE  NSAMPLES=1000
  /MISSING USERMISSING=EXCLUDE.
CORRELATIONS
  /VARIABLES=conlike inconlike RTincon RTcon RTinconplithalf1 RTinconplithalf2 RTconsplithalf1 
    RTconsplithalf2
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.



GLM conlike inconlike BY condition
  /WSFACTOR=factor1 2 Simple 
  /CONTRAST(condition)=Simple
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(condition) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(condition*factor1) 
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1 
  /DESIGN=condition.


USE ALL.
COMPUTE filter_$=(condition = 'questions').
VARIABLE LABELS filter_$ "condition = 'questions' (FILTER)".
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


GLM RTincon RTcon
  /WSFACTOR=factor1 2 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1.


GLM inconlike conlike
  /WSFACTOR=factor1 2 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1.



DATASET ACTIVATE DataSet1.
CORRELATIONS
  /VARIABLES=stroop likeverschil
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.


USE ALL.
COMPUTE filter_$=(condition = 'questions_in').
VARIABLE LABELS filter_$ "condition = 'questions' (FILTER)".
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

GLM inconlike conlike
  /WSFACTOR=factor1 2 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1.


