﻿* Encoding: UTF-8.


GET DATA  /TYPE=TXT
  /FILE="/Users/tomdamen/Dropbox/Data Opslag/2018 Plos ONE The Case of the Stroop Task/2C/Raw Data and Syntax/2C.iqdat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  date F6.0
  time A8
  group F2.0
  subject F2.0
  build A7
  blocknum F1.0
  trialnum F2.0
  blockcode A12
  trialcode A26
  pretrialpause F1.0
  posttrialpause F4.0
  windowcenter F1.0
  trialduration F1.0
  trialtimeout F1.0
  blocktimeout F1.0
  response F2.0
  correct F1.0
  latency F4.0
  inwindow F1.0
  stimulusnumber1 F1.0
  stimulusitem1 A111
  stimulusvpos1 A5
  stimulushpos1 A5
  stimulusonset1 F3.0
  stimulusnumber2 F1.0
  stimulusitem2 A118
  stimulusvpos2 A5
  stimulushpos2 A5
  stimulusonset2 F2.0.
CACHE.
EXECUTE.
DATASET NAME DataSet1 WINDOW=FRONT.


FILTER OFF.
USE ALL.
SELECT IF (blockcode ~= 'oefen_stroop' AND stimulusitem1 ~= '13b.jpg' AND stimulusitem1 ~= '14b.jpg' AND stimulusitem1 ~= '3b.jpg' AND stimulusitem1 ~= '7b.jpg').
EXECUTE.

DO IF (blockcode = 'stroop' AND correct = 0).
RECODE latency (ELSE=SYSMIS).
END IF.
EXECUTE.

DO IF (blockcode = 'stroop').
RECODE latency (Lowest thru 400=400) (4000 thru Highest=4000).
END IF.
EXECUTE.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=subject
  /error_sum=SUM(correct).

DELETE VARIABLES date time group build to trialnum pretrialpause to blocktimeout inwindow stimulusnumber1 stimulusvpos1 to stimulusnumber2 stimulusvpos2 to stimulusonset2.
EXECUTE.


SORT CASES BY subject(A) blockcode(A) trialcode(A).

CASESTOVARS
  /ID=subject
  /GROUPBY=VARIABLE.


DATASET ACTIVATE DataSet1.
COMPUTE totalerrors=error_sum - 40.
EXECUTE.

COMPUTE conlike=response.1.
COMPUTE inconlike=response.2.
COMPUTE obserconlike=response.6.
COMPUTE obserinconlike=response.7.
EXECUTE.

COMPUTE conRT=Mean (latency.8 to latency.27).
COMPUTE inconRT=Mean (latency.28 to latency.47).

COMPUTE conRTsplithalf1=Mean (latency.8 to latency.17).
COMPUTE inconRTsplithalf1=Mean (latency.28 to latency.37).
COMPUTE conRTsplithalf2=Mean (latency.18 to latency.27).
COMPUTE inconRTsplithalf2=Mean (latency.38 to latency.47).
EXECUTE.

USE ALL.
COMPUTE filter_$=(subject ~= 2).
VARIABLE LABELS filter_$ 'subject ~= 2 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*LIKING SCORES

GLM conlike inconlike obserconlike obserinconlike
  /WSFACTOR=block 2 Simple congruentie 2 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(block) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(congruentie) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(block*congruentie) 
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=block congruentie block*congruentie.

*RT

DATASET ACTIVATE DataSet1.
GLM conRT inconRT
  /WSFACTOR=compatibility 2 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(compatibility) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=compatibility.

*Correlations relation between RT's and liking measures

COMPUTE DiffRT=inconRT - conRT.
COMPUTE DiffLiking=conlike - inconlike.
EXECUTE.


*Correlations relation between prime presentation times and liking measures. We use the RT variables from the response block, because they are 
*exactly the same as the presentation times in the observation  block.


COMPUTE DiffLiking_observer=obserconlike - obserinconlike.
EXECUTE.


CORRELATIONS
  /VARIABLES=conlike inconlike conRT inconRT
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.




CORRELATIONS
  /VARIABLES=DiffRT DiffLiking
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=DiffRT DiffLiking_observer
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.
