﻿* Encoding: UTF-8.


GET DATA  /TYPE=TXT
  /FILE="/Users/tomdamen/Dropbox/Data Opslag/2018 Plos ONE The Case of the Stroop Task/3B/Raw Data and Syntax/3B.iqdat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  date F6.0
  time A8
  subject F3.0
  blocknum F1.0
  blockcode A12
  trialnum F2.0
  trialcode A19
  response F2.0
  latency F5.0
  error F1.0
  stimulus1 A111.
CACHE.
EXECUTE.
DATASET NAME DataSet2 WINDOW=FRONT.


FILTER OFF.
USE ALL.
SELECT IF (blockcode ~= 'oefen_stroop').
EXECUTE.


SHIFT VALUES VARIABLE=response RESULT=responseshifted LEAD=1.

FILTER OFF.
USE ALL.
SELECT IF (trialcode ~= 'conpolygon' AND trialcode ~= 'inconpolygon' ).
EXECUTE.


SORT CASES BY subject(A) blockcode(A) trialcode(A).

DO IF (blockcode = 'stroop' AND error = 1).
RECODE latency (ELSE=SYSMIS).
END IF.
EXECUTE.


AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=subject
  /error_sum=SUM(error).


DO IF (blockcode = 'stroop').
RECODE latency (Lowest thru 400=400) (4000 thru Highest=4000).
END IF.
EXECUTE.


DO IF (blockcode = 'stroop' AND error = 1).
RECODE responseshifted (ELSE=SYSMIS).
END IF.
EXECUTE.

CASESTOVARS
  /ID=subject
  /GROUPBY=VARIABLE.

Compute compatible = MEAN (responseshifted.4 to responseshifted.18).
Compute incompatible = MEAN (responseshifted.19 to responseshifted.33).
Compute LTcompatible = MEAN (latency.4 to latency.18).
Compute LTincompatible = MEAN (latency.19 to latency.33).
EXECUTE.

Compute SDcompatible = SD (responseshifted.4 to responseshifted.18).
Compute SDincompatible = SD (responseshifted.19 to responseshifted.33).
EXECUTE.

Compute SDoverall = SD (responseshifted.4 to responseshifted.33).
EXECUTE.

COMPUTE stroopt = LTincompatible - LTcompatible.
EXECUTE.


COMPUTE likediff = compatible - incompatible.
EXECUTE.

DATASET ACTIVATE DataSet2.
USE ALL.
COMPUTE filter_$=(subject ~= 11 AND subject ~= 58 AND subject ~= 113 AND subject ~= 13).
VARIABLE LABELS filter_$ 'subject ~= 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

GLM compatible incompatible
  /WSFACTOR=factor1 2 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1.

GLM LTcompatible LTincompatible
  /WSFACTOR=factor1 2 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1.

CORRELATIONS
  /VARIABLES=LTcompatible LTincompatible compatible incompatible
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.





