﻿* Encoding: UTF-8.

GET DATA  /TYPE=TXT
  /FILE="/Users/tomdamen/Dropbox/Data Opslag/2018 Plos ONE The Case of the Stroop Task/4/Raw Data and Syntax/4.iqdat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  date F6.0
  time A8
  subject F3.0
  blocknum F1.0
  blockcode A12
  trialnum F2.0
  trialcode A19
  response F2.0
  latency F5.0
  error F1.0
  stimulus1 A111.
CACHE.
EXECUTE.
DATASET NAME DataSet1 WINDOW=FRONT.



FILTER OFF.
USE ALL.
SELECT IF (blockcode ~= 'oefen_stroop').
EXECUTE.


SHIFT VALUES VARIABLE=response RESULT=responseshifted LEAD=2.

FILTER OFF.
USE ALL.
SELECT IF (trialcode ~= 'conpolygon2' AND trialcode ~= 'inconpolygon2' AND trialcode ~= 'controlpolygon2' AND trialcode ~= 'conpolygon1' AND trialcode ~= 'inconpolygon1' AND trialcode ~= 'controlpolygon1').
EXECUTE.


SORT CASES BY subject(A) blockcode(A) trialcode(A).

DO IF (blockcode = 'stroop' AND error = 1).
RECODE latency (ELSE=SYSMIS).
END IF.
EXECUTE.


AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=subject
  /error_sum=SUM(error).

DO IF (blockcode = 'stroop').
RECODE latency (Lowest thru 400=400) (4000 thru Highest=4000).
END IF.
EXECUTE.

DO IF (blockcode = 'stroop' AND error = 1).
RECODE responseshifted (ELSE=SYSMIS).
END IF.
EXECUTE.

CASESTOVARS
  /ID=subject
  /GROUPBY=VARIABLE.

COMPUTE consisten = MEAN (responseshifted.4 to responseshifted.19).
COMPUTE control = MEAN (responseshifted.20 to responseshifted.35).
COMPUTE inconsistent = MEAN (responseshifted.36 to responseshifted.51).
EXECUTE.

COMPUTE SDconsisten = SD (responseshifted.4 to responseshifted.19).
COMPUTE SDcontrol = SD (responseshifted.20 to responseshifted.35).
COMPUTE SDinconsistent = SD (responseshifted.36 to responseshifted.51).
EXECUTE.

Compute totalDV = (SDconsisten+SDcontrol+SDinconsistent).
EXECUTE.

COMPUTE LTconsisten = MEAN (latency.4 to latency.19).
COMPUTE LTcontrol = MEAN (latency.20 to latency.35).
COMPUTE LTinconsistent = MEAN (latency.36 to latency.51).
EXECUTE.

COMPUTE Stroop = LTinconsistent - LTconsisten.
EXECUTE.

DATASET ACTIVATE DataSet1.
USE ALL.
COMPUTE filter_$=(subject ~= 74 AND subject ~= 225 AND subject ~= 127 AND subject ~= 233).
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

GLM LTconsisten LTcontrol LTinconsistent
  /WSFACTOR=factor1 3 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1.

GLM consisten control inconsistent
  /WSFACTOR=factor1 3 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1.

DATASET ACTIVATE DataSet1.
COMPUTE diffCompatible_Incompatible=consisten - inconsistent.
EXECUTE.

COMPUTE diffCompatible_IncompatibleRT=LTinconsistent - LTconsisten.
EXECUTE.




CORRELATIONS
  /VARIABLES=consisten control inconsistent LTconsisten LTcontrol LTinconsistent
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.


