﻿* Encoding: UTF-8.

GET DATA  /TYPE=TXT
  /FILE="/Users/tomdamen/Dropbox/Data Opslag/2018 Plos ONE The Case of the Stroop Task/4/Raw Data and Syntax/4.iqdat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  date F6.0
  time A8
  subject F3.0
  blocknum F1.0
  blockcode A12
  trialnum F2.0
  trialcode A19
  response F2.0
  latency F5.0
  error F1.0
  stimulus1 A111.
CACHE.
EXECUTE.
DATASET NAME DataSet1 WINDOW=FRONT.



FILTER OFF.
USE ALL.
SELECT IF (blockcode ~= 'oefen_stroop').
EXECUTE.


SHIFT VALUES VARIABLE=response RESULT=responseshifted LEAD=2.

FILTER OFF.
USE ALL.
SELECT IF (trialcode ~= 'conpolygon2' AND trialcode ~= 'inconpolygon2' AND trialcode ~= 'controlpolygon2' AND trialcode ~= 'conpolygon1' AND trialcode ~= 'inconpolygon1' AND trialcode ~= 'controlpolygon1').
EXECUTE.


SORT CASES BY subject(A) blockcode(A) trialcode(A).

DO IF (blockcode = 'stroop' AND error = 1).
RECODE latency (ELSE=SYSMIS).
END IF.
EXECUTE.


AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=subject
  /error_sum=SUM(error).

DO IF (blockcode = 'stroop').
RECODE latency (Lowest thru 400=400) (4000 thru Highest=4000).
END IF.
EXECUTE.

DO IF (blockcode = 'stroop' AND error = 1).
RECODE responseshifted (ELSE=SYSMIS).
END IF.
EXECUTE.


DATASET ACTIVATE DataSet1.
USE ALL.
COMPUTE filter_$=(subject ~= 74 AND subject ~= 225 AND subject ~= 127 AND subject ~= 233).
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.



RECODE trialcode ('consistentblue'='consistent').
RECODE trialcode ('consistentred'='consistent').
RECODE trialcode ('consistentgreen'='consistent').
RECODE trialcode ('consistentyellow'='consistent').
RECODE trialcode ('inconsistentblue'='inconsistent').
RECODE trialcode ('inconsistentred'='inconsistent').
RECODE trialcode ('inconsistentgreen'='inconsistent').
RECODE trialcode ('inconsistentyellow'='inconsistent').
RECODE trialcode ('controlblue'='control').
RECODE trialcode ('controlred'='control').
RECODE trialcode ('controlgreen'='control').
RECODE trialcode ('controlyellow'='control').
EXECUTE.

RECODE trialcode ('consistent'='1') ('inconsistent'='0') ('control'='2').
EXECUTE.

* Define Variable Properties.
*trialcode.
ALTER TYPE  trialcode(F19.0).
*trialcode.
FORMATS  trialcode(F19.0).
EXECUTE.

DATASET ACTIVATE DataSet2.
SORT CASES  BY trialcode.
SPLIT FILE LAYERED BY trialcode.



